"""This Command is a manage.py command 
for loading an XML file into your collection."""

import os
from django.core.management.base import AppCommand
from optparse import make_option
from dbxml import XmlManager, XmlUniqueError
from pixelise.core import ContainerDict

BOOK_CONTEXT = r"<book><title>Knowledge Discovery in Databases.</title></book>"

class Command(AppCommand):
    """"Print whole content of xml database to backup file"""
    help = "Print whole content of xml database to backup file."

    output_transaction = True
    option_list = AppCommand.option_list + (
    make_option('--file', '-f', dest='filename',
                help='writes the xml file out to this file.'),
    )

    def handle_app(self, app, **options):
        """Load the XML into the app's XML database. """
        xml_manager = XmlManager()
        update_context = xml_manager.createUpdateContext()

        # Get the app_name
        app_name = app.__name__.partition('.')[-1].rpartition('.')[0]
        # Find the XML database, Open the container
        containers = ContainerDict()
        container = xml_manager.openContainer(containers[app_name])
        document = container.getDocument('text')
        s = document.getContent()
        f=open(options['filename'], "w")
        f.write(s)
        f.close